Skip to main content
GET
List bills

Authorizations

Authorization
string
header
required

An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.

Query Parameters

include
string

Comma-separated list of relationships to include.

Available options: partner, currency, journal, company, invoicePaymentTerm, fiscalPosition, invoiceUser, partnerShipping, partnerBank, invoiceIncoterm, invoiceCashRounding, paymentMethodLine, campaign, source, medium, creator, invoiceLines, invoiceLines.product, invoiceLines.uom, invoiceLines.taxes, invoiceLines.account, invoiceLines.currency, invoiceLines.companyCurrency, invoiceLines.partner, invoiceLines.creator, invoiceLines.journal, invoiceLines.company, invoiceLines.groupTax, invoiceLines.taxGroup, invoiceLines.payment, invoiceLines.taxRepartitionLine

Example:

"partner,invoiceLines.product"

filter[id]
string

Comma-separated list of IDs to filter by

filter[name]
string

Filter by bill number (partial match)

filter[partner_id]
string

Comma-separated list of partner IDs to filter by

filter[state]
string

Filter by state (draft, posted, cancel)

filter[payment_state]
string

Filter by payment state

sort
string
required

Sort field

Example:

"invoice_date"

page
integer
required

Page number

Example:

1

Response

Success